Difference between revisions of "Projects/Marble/NewMarbleMoldules"

Jump to: navigation, search
(Marble Qt Library)
(Marble Qt Library)
Line 7: Line 7:
 
* It's <b>Qt Only</b>. No KDE dependencies.
 
* It's <b>Qt Only</b>. No KDE dependencies.
 
* Contains the actual Marble library in the package "<b>libmarble</b>". "libmarble" should contain the essentail graphics which are necessary to display stuff graciously. Therefore Graphics inside "libmarble" should include such as the current directories <i>data/svg, data/mwdbii, data/icons, data/ico, data/bitmaps</i> and <i>dgml file</i> and the <i>level zero tiles</i> of the maps: <i>Atlas</i>, <i>Satellite</i>, <i>OSM</i> and <i>Plain Map</i>. The package <b>libmarble</b> should <i>recommend</i> installation of the package <i>libmarble-data</i>. <i>libmarble</i> should contain all base <i>plugins</i>.
 
* Contains the actual Marble library in the package "<b>libmarble</b>". "libmarble" should contain the essentail graphics which are necessary to display stuff graciously. Therefore Graphics inside "libmarble" should include such as the current directories <i>data/svg, data/mwdbii, data/icons, data/ico, data/bitmaps</i> and <i>dgml file</i> and the <i>level zero tiles</i> of the maps: <i>Atlas</i>, <i>Satellite</i>, <i>OSM</i> and <i>Plain Map</i>. The package <b>libmarble</b> should <i>recommend</i> installation of the package <i>libmarble-data</i>. <i>libmarble</i> should contain all base <i>plugins</i>.
* Contains the recommended base data in the package <b>libmarble-data</b>. This includes the data of the most basic maps: <i>Atlas</i>, <i>Satellite</i>, <i>OSM</i> and <i>Plain Map</i>. Specifically "libmarble-data" should contain the current directories <i>data/flags, data/weather and data/stars</i>. <i>libmarble-data</i> should <i>depend</i> on <i>libmarble</i>.
+
* Contains the recommended base data in the package <b>libmarble-data</b>. This includes the data of the most basic maps: <i>Atlas</i>, <i>Satellite</i>, <i>OSM</i> and <i>Plain Map</i>. Specifically "libmarble-data" should contain the current directories <i>data/flags, data/weather and data/stars</i>. <i>libmarble-data</i> should <b>depend</b> on <i>libmarble</i>.
 
* Provides the Marble Qt application (Executable: "marbleqt") as an example application (Compilation of this part can be switched off at wish). The package "marbleqt" should <b>depend</b> on <i>libmarble</i> and <i>libmarble-data</i>.  
 
* Provides the Marble Qt application (Executable: "marbleqt") as an example application (Compilation of this part can be switched off at wish). The package "marbleqt" should <b>depend</b> on <i>libmarble</i> and <i>libmarble-data</i>.  
 
* Located in SVN at <code>kdesupport/libmarble</code>.
 
* Located in SVN at <code>kdesupport/libmarble</code>.
* Provides Qt development documentation, bindings and tools for Marble. Suggested package name: <b>libmarble-dev</b>.
+
* Provides Qt development documentation, bindings and tools for Marble in the package <b>libmarble-dev</b>. This package is <b>optional</b>.
  
 
==Marble KDE application==
 
==Marble KDE application==

Revision as of 08:40, 8 January 2010

We want to simplify packaging and maintenance of Marble. And we want to make it easier for KDE application authors to link against the marble library by getting rid of a kde-edu dependency.

So starting with KDE 4.5 the Marble source code is supposed to be reorganized:

Contents

Marble Qt Library

  • It's Qt Only. No KDE dependencies.
  • Contains the actual Marble library in the package "libmarble". "libmarble" should contain the essentail graphics which are necessary to display stuff graciously. Therefore Graphics inside "libmarble" should include such as the current directories data/svg, data/mwdbii, data/icons, data/ico, data/bitmaps and dgml file and the level zero tiles of the maps: Atlas, Satellite, OSM and Plain Map. The package libmarble should recommend installation of the package libmarble-data. libmarble should contain all base plugins.
  • Contains the recommended base data in the package libmarble-data. This includes the data of the most basic maps: Atlas, Satellite, OSM and Plain Map. Specifically "libmarble-data" should contain the current directories data/flags, data/weather and data/stars. libmarble-data should depend on libmarble.
  • Provides the Marble Qt application (Executable: "marbleqt") as an example application (Compilation of this part can be switched off at wish). The package "marbleqt" should depend on libmarble and libmarble-data.
  • Located in SVN at kdesupport/libmarble.
  • Provides Qt development documentation, bindings and tools for Marble in the package libmarble-dev. This package is optional.

Marble KDE application

  • Depends on Marble Qt library (in kdesupport/libmarble).
  • Provides the Marble Application (Executable"marble"). Suggested package name: kdeedu-marble.
  • Provides the KPart. Actual location of this part in SVN needs to be evaluated for best reuse.
  • Provides optional data ( Moon, Historical Map, Precipitation, Temperature, etc.). Suggested package name: kdeedu-marble-data
  • Located in SVN at kdeedu/marble

Other

  • What should happen to the worldclock plasmoid? Move it to the other KDE plasmoids (which would depend on libmarble inside kdesupport).


Migration Plan

1. Jens-Michael ("jmho") starts to get rid of QTONLY in MarbleDirs.

2. Get rid of all the kde specific cmake code below marble/src/lib (no "if (QTONLY)" anymore)


KDE® and the K Desktop Environment® logo are registered trademarks of KDE e.V.Legal